<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#FF3F84CD">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <LinearLayout
            android:id="@+id/ll_report"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center_horizontal"
            android:orientation="vertical">

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="15mm"
                android:layout_marginTop="20mm"
                app:cardCornerRadius="3dp"
                app:cardElevation="5dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:padding="17mm">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">


                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="废品重量TOP10"
                            android:textColor="#ff3f84cd"
                            android:textSize="15sp" />

                        <LinearLayout
                            android:layout_width="100mm"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:background="@drawable/shape_mes_time"
                            android:gravity="center"
                            android:paddingVertical="4mm">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginRight="4mm"
                                android:text="2019年7月"
                                android:textColor="#ff637298"
                                android:textSize="13sp" />

                            <ImageView
                                android:layout_width="5mm"
                                android:layout_height="2mm"
                                android:scaleType="fitXY"
                                android:src="@mipmap/mes_time_down" />
                        </LinearLayout>
                    </RelativeLayout>

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_top"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="20mm" />
                </LinearLayout>
            </androidx.cardview.widget.CardView>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="30mm"
                android:layout_marginTop="20mm">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="排名"
                    android:textColor="@color/white"
                    android:textSize="14sp" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="4"
                    android:text="产品名称"
                    android:textColor="@color/white"
                    android:textSize="14sp" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="2"
                    android:gravity="center"
                    android:text="缺陷类别"
                    android:textColor="@color/white"
                    android:textSize="14sp" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="2"
                    android:gravity="center"
                    android:text="缺陷数量"
                    android:textColor="@color/white"
                    android:textSize="14sp" />
            </LinearLayout>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="15mm"
                android:layout_marginTop="10mm"
                app:cardCornerRadius="3dp"
                app:cardElevation="5dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:paddingHorizontal="15mm"
                    android:paddingVertical="17mm">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_pro_bad"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </LinearLayout>
            </androidx.cardview.widget.CardView>
        </LinearLayout>

    </LinearLayout>
</androidx.core.widget.NestedScrollView>
